package com.lightinit.hsdataportal.dictionary;

import java.util.LinkedHashMap;

/**
 * @author WangYao
 * @date 2018/7/1 13:41
 * @description Shiro令牌用户类型字典
 */
public class DicShiroTokenUserType {

    public static final String USER = "user";
    public static final String ADMIN = "admin";

    private static DicShiroTokenUserType instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicShiroTokenUserType(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(USER, USER);
        dicMap.put(ADMIN, ADMIN);
    }

    public static DicShiroTokenUserType getInstacne(){
        if (instance == null)
        {
            instance = new DicShiroTokenUserType();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
